// created on 10/02/2005 at 18:51
using Gtk;
using Gdk;
using System.Collections;
public class CheezeStyleSet : Gtk.TextTagTable{
	public static ArrayList defaultTags;
	public CheezeStyleSet () : base(){ 
		defaultTags = new ArrayList();			
		//TextStyles
		TextTag wrapAtChar = new Gtk.TextTag("wrapAtChar");
		wrapAtChar.WrapMode = WrapMode.Char;	
		Add(wrapAtChar);

		//bold
		TextTag	 mybold = new Gtk.TextTag("Style:bold");
		mybold.Weight = Pango.Weight.Bold;
		Add(mybold);
		
		//ital
		TextTag myital = new Gtk.TextTag("Style:italic");
		myital.Style = Pango.Style.Italic;
		Add(myital);
		
		//underlined
		TextTag myunderline = new Gtk.TextTag("Style:underline");
		myunderline.Underline = Pango.Underline.Single;
		Add(myunderline);
		
		//JUSTIFY		
		TextTag ljustify = new Gtk.TextTag("Justify:left");
		ljustify.Justification= Justification.Left;
		defaultTags.Add(ljustify);
		Add(ljustify);
	
		TextTag cjustify = new Gtk.TextTag("Justify:center");
		cjustify.Justification= Justification.Center;
		Add(cjustify);
		
		TextTag rjustify = new Gtk.TextTag("Justify:right");
		rjustify.Justification= Justification.Right;
		Add(rjustify);
	
		//DEFAULT COLORS
		TextTag myblack = new Gtk.TextTag("Foreground:black");
		myblack.ForegroundGdk = new Gdk.Color(0x00,0x00,0x00);
		defaultTags.Add(myblack);
		Add(myblack);
		
		TextTag mywhite = new Gtk.TextTag("Background:white");
		mywhite.BackgroundGdk= new Gdk.Color(0xff,0xff,0xff);
		defaultTags.Add(mywhite);
		Add(mywhite);
				
	}
}